Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 609396 (CVE-2017-2630) - <app-emulation/qemu-2.8.0-r3: nbd: oob stack write in client routine drop_sync
Summary: <app-emulation/qemu-2.8.0-r3: nbd: oob stack write in client routine drop_sync
Status: RESOLVED FIXED
Alias: CVE-2017-2630
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa cve]
Keywords:
Depends on: 609206
Blocks:
  Show dependency tree
 
Reported: 2017-02-15 10:28 UTC by Agostino Sarubbo
Modified: 2017-04-10 21:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-02-15 10:28:05 UTC
From ${URL} :

Quick Emulator(Qemu) built with the Network Block Device(NBD) client support is
vulnerable to a stack buffer overflow issue. It could occur while processing
server's response to a 'NBD_OPT_LIST' request.

A malicious NBD server could use this issue to crash remote NBD client
resulting in DoS or potentially execute arbitrary code on client host with
privileges of the Qemu process.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-02/msg01246.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/15/2


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Yury German Gentoo Infrastructure gentoo-dev Security 2017-03-28 03:58:57 UTC
Arches and Maintainer(s), Thank you for your work.
Added to an existing GLSA Request.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2017-04-10 21:27:16 UTC
This issue was resolved and addressed in
 GLSA 201704-01 at https://security.gentoo.org/glsa/201704-01
by GLSA coordinator Kristian Fiskerstrand (K_F).